define mod = Character("Mod", color="#0f0")

init python:
    gr = "{color=#008b00}"
    red = "{color=#8b0000}"
    bl = "{color=#00008b}"
    org = "{color=#db6300}"

    CHARACTERS = [
        "august",
        "chuck",
        "felicia",
        "hana",
        "jacob",
        "kathleen",
        "killian",
        "mina",
        "rosalind",
        "veronica",
        "victoria",
        "warren",
        "mina_killian",
        "sam"
    ]

    SECONDARY = [
        "bi",
        "trust",
        "passion",
        "anger",
        "camera",
        "clapper"
    ]


    # Toughness
    renpy.image("MOD_Icon_tough_up", Composite(
        (64,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/tough.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32)))
    for tui in range(2,6):
        renpy.image("MOD_Icon_tough_up{}".format(tui), Composite(
            (88,50),
            (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/tough.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
            (32, -6), im.Scale("mod/images/icons/up.png", 32, 32),
            (44, -6), im.Scale("mod/images/icons/pos{}.png".format(tui), 44, 26)))
    renpy.image("MOD_Icon_tough_down", Composite(
        (64,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/tough.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, 25), im.Scale("mod/images/icons/down.png", 32, 32)))
    for tdi in range(2,6):
        renpy.image("MOD_Icon_tough_down{}".format(tdi), Composite(
            (82,50),
            (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/tough.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
            (32, 25), im.Scale("mod/images/icons/down.png", 32, 32),
            (44, 25), im.Scale("mod/images/icons/neg{}.png".format(tdi), 38, 26)))

    for char in CHARACTERS:
        # Base
        renpy.image("MOD_Icon_{}".format(char), Composite(
            (50,50),
            (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
            (0, 0), im.Scale("mod/images/icons/border.png", 50, 50)))
        # Up
        renpy.image("MOD_Icon_{}_up".format(char), Composite(
            (64,50),
            (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
            (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
            (32, -6), im.Scale("mod/images/icons/up.png", 32, 32)))
        for cui in range(2,6):
            renpy.image("MOD_Icon_{}_up{}".format(char, cui), Composite(
                (88,50),
                (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (32, -6), im.Scale("mod/images/icons/up.png", 32, 32),
                (44, -6), im.Scale("mod/images/icons/pos{}.png".format(cui), 44, 26)))
        #Down
        renpy.image("MOD_Icon_{}_down".format(char), Composite(
            (64,50),
            (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
            (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
            (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
            (32, 25), im.Scale("mod/images/icons/down.png", 32, 32)))
        for cdi in range(2,11):
            renpy.image("MOD_Icon_{}_down{}".format(char, cdi), Composite(
                (64,50),
                (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (32, 25), im.Scale("mod/images/icons/down.png", 32, 32),
                (44, 25), im.Scale("mod/images/icons/neg{}.png".format(cdi), 38, 26)))

        for sec in SECONDARY:
            # Secondary base
            renpy.image("MOD_Icon_{}_{}_up".format(char, sec), Composite(
                (50+40,50),
                (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/{}.png".format(sec), 50, 50),
                (40, 0), im.Scale("mod/images/icons/border.png", 50, 50)))
            # Up
            renpy.image("MOD_Icon_{}_{}_up".format(char, sec), Composite(
                (64+40,50),
                (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/{}.png".format(sec), 50, 50),
                (40, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (32+40, -6), im.Scale("mod/images/icons/up.png", 32, 32)))
            for sui in range(2,6):
                renpy.image("MOD_Icon_{}_{}_up{}".format(char, sec, sui), Composite(
                    (64+40,50),
                    (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                    (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                    (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                    (40, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                    (40, 0), im.Scale("mod/images/icons/{}.png".format(sec), 50, 50),
                    (40, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                    (32+40, -6), im.Scale("mod/images/icons/up.png", 32, 32),
                    (44+40, -6), im.Scale("mod/images/icons/pos{}.png".format(sui), 44, 26)))
            #Down
            renpy.image("MOD_Icon_{}_{}_down".format(char, sec), Composite(
                (64+40,50),
                (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                (40, 0), im.Scale("mod/images/icons/{}.png".format(sec), 50, 50),
                (40, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                (32+40, 25), im.Scale("mod/images/icons/down.png", 32, 32)))
            for sdi in range(2,11):
                renpy.image("MOD_Icon_{}_{}_down{}".format(char, sec, sdi), Composite(
                    (64+40,50),
                    (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                    (0, 0), im.Scale("mod/images/icons/{}.png".format(char), 50, 50),
                    (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                    (40, 0), im.Scale("mod/images/icons/background.png", 50, 50),
                    (40, 0), im.Scale("mod/images/icons/{}.png".format(sec), 50, 50),
                    (40, 0), im.Scale("mod/images/icons/border.png", 50, 50),
                    (32+40, 25), im.Scale("mod/images/icons/down.png", 32, 32),
                    (44+40, 25), im.Scale("mod/images/icons/neg{}.png".format(sdi), 44, 26)))

    # Gonzo
    renpy.image("MOD_Icon_gonzo_up", Composite(
        (64,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/camera.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32)))
    renpy.image("MOD_Icon_gonzo_up2", Composite(
        (88,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/camera.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32),
        (44, -6), im.Scale("mod/images/icons/pos2.png", 44, 26)))

    # Shoot Points
    renpy.image("MOD_Icon_FeliciaShootPoints_up", "MOD_Icon_felicia_camera_up")
    renpy.image("MOD_Icon_FeliciaShootPoints_up2", "MOD_Icon_felicia_camera_up2")
    renpy.image("MOD_Icon_RoseShootPoints_up", "MOD_Icon_rosalind_camera_up")
    renpy.image("MOD_Icon_RoseShootPoints_up2", "MOD_Icon_rosalind_camera_up2")
    renpy.image("MOD_Icon_VeronicaShootPoints_up", "MOD_Icon_veronica_camera_up")
    renpy.image("MOD_Icon_VeronicaShootPoints_up2", "MOD_Icon_veronica_camera_up2")
    renpy.image("MOD_Icon_VeronicaShootPoints_down2", "MOD_Icon_veronica_camera_down2")

    # Mina Scene
    renpy.image("MOD_Icon_MinaSP_up", "MOD_Icon_mina_clapper_up")
    renpy.image("MOD_Icon_MinaSP_up2", "MOD_Icon_mina_clapper_up2")

    # DP (Never Have I Ever event Date Points)
    renpy.image("MOD_Icon_DP_up", Composite(
        (64,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/dp.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32)))
    renpy.image("MOD_Icon_DP_up2", Composite(
        (88,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/dp.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32),
        (44, -6), im.Scale("mod/images/icons/pos2.png", 44, 26)))
    renpy.image("MOD_Icon_DP_up3", Composite(
        (88,50),
        (0, 0), im.Scale("mod/images/icons/background.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/dp.png", 50, 50),
        (0, 0), im.Scale("mod/images/icons/border.png", 50, 50),
        (32, -6), im.Scale("mod/images/icons/up.png", 32, 32),
        (44, -6), im.Scale("mod/images/icons/pos3.png", 44, 26)))